The Fleet Remarketing External API it's a set of services to share our data with interested external partners
Fleet Remarketing External API (0.0.1)
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://docs.finn.com/_mock/api/remarketing/openapi/
Production environment
https://partners.finn.com/api/v1/
Request
Lists all car inventory for remarketing that meets the filter criteria. You can use a range of filters on the list returned, including filtering by:
- Brand name
- Color
- Expected return date
- Model name
- Vehicle identification number (VIN)
- Model Year
- Configuration ID
- Trim
- Registration Dates
- Engine
- Latest Mileages
- Fuel
- Co2 emission
- Car lifecycle status
You can also apply sorting on the list returned by the following properties:
- Expected return date
- Date First Registration
- Damage Deductible
- Latest Mileage
- Brand Name
- Model Name
- Vin
- Location Name
- Color
- Trim
- Engine
- Latest Mileage
- Shift
- Fuel Name
- Model Year
- Offer Statuses
Security
ApiKeyAuth and BearerAuth
- Mock serverhttps://docs.finn.com/_mock/api/remarketing/openapi/cars
- Production environmenthttps://partners.finn.com/api/v1/cars
- curl
- JavaScript
- Node.js
- Python
curl -i -X GET \
'https://docs.finn.com/_mock/api/remarketing/openapi/cars?brands=Tesla%2CAudi&models=Grand+Cherokee+L%2CC5+Aircross&fuelTypes=Diesel%2CElectric&carTypes=SUV%2CSedan&vins=VXKUPHNKSM4280660%2CVXKUPHNKSM4280661&locationNames=compound_glovis_philadelphia&shifts=Automatic%2CManual&warrantyStatuses=string&opsDefleetingChannels=string&mileageFrom=10000&mileageTo=50000&priceFrom=5000&priceTo=20000&damageDeductibleFrom=0&damageDeductibleTo=0&msrpPriceFrom=0&msrpPriceTo=0&sortBy=-expectedDefleetingDate¤tPage=0&perPage=0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'X-Api-Key: YOUR_API_KEY_HERE'Response
application/json
{ "offeredCars": [ { … } ], "pagination": { "current_page": 1, "last_page": 2, "per_page": 25, "total": 26 } }
- Mock serverhttps://docs.finn.com/_mock/api/remarketing/openapi/cars/{finnCarId}
- Production environmenthttps://partners.finn.com/api/v1/cars/{finnCarId}
- curl
- JavaScript
- Node.js
- Python
curl -i -X GET \
https://docs.finn.com/_mock/api/remarketing/openapi/cars/34nk23on \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'X-Api-Key: YOUR_API_KEY_HERE'Response
application/json
{ "data": { "config_id": 1, "brand_name": "Tesla", "model_name": "Model 3", "model_year": 2022, "trim_name": "Long Range", "engine_name": "Long Range AWD", "consumption_combined": 25, "consumption_city": 22, "consumption_highway": 30, "fuel": "Electric", "gearshift": "Automatic", "power_kw": "258 (KW)", "co2_emission": 123, "co2_class": "A", "ev_range": 200, "hybrid_electric_range": 234, "variant_id": 22, "doors": 5, "body_type": "Sedan", "drive": "All-Wheel Drive", "has_hitch": true, "seats": 5, "version_name": "2.8 D-4D Comfort", "exterior_color": { … }, "interior_color": { … }, "msrp": 51440, "equipments": [ … ], "description": "This is a really nice car", "car_images": [ … ], "config_attachment": { … }, "energy_label": { … } } }